Why RegAssemblies.bat fails on Entlib 4.0 CTP??

Topics: Building and extending application blocks, General discussion
Apr 9, 2008 at 7:07 PM
Edited Apr 9, 2008 at 7:08 PM
Hi all,

When running the RegAssemblies.bat I am getting this error:

==========================================================================
RegAssemblies.bat
Installs/uninstalls assemblies for Enterprise Library
==========================================================================


-----------------------------------------------------------------
Common Application Block
-----------------------------------------------------------------

Microsoft (R) .NET Framework Installation utility Version 2.0.50727.1433
Copyright (c) Microsoft Corporation. All rights reserved.

An exception occurred during the Commit phase of the installation. This exceptio
n will be ignored and installation will continue. However, the application might
not function correctly after installation is complete.
Microsoft (R) .NET Framework Installation utility Version 2.0.50727.1433
Copyright (c) Microsoft Corporation. All rights reserved.

Microsoft (R) .NET Framework Installation utility Version 2.0.50727.1433
Copyright (c) Microsoft Corporation. All rights reserved.

An exception occurred during the Commit phase of the installation. This exceptio
n will be ignored and installation will continue. However, the application might
not function correctly after installation is complete.

and so on... all the blocks fail...


Please tell me what needs to be fixed. I Have Windowx XP, VS2008 Team System; the library builds OK, etc.. so I have no clue about what is happening.

My goal is to have it registered so I can use the library in VS2008 the same way the the EntLib 3.1 is used in VS2005.

Any help is much appreciated.



Apr 9, 2008 at 7:49 PM
It was matter of running first with the /u switch, and later trying again.

But then, why the batch file installs in the C:\WINDOWS\Microsoft.NET\Framework\v2.0.50727 folder instead of C:\WINDOWS\Microsoft.NET\Framework\v3.5?

Isn't it supposed to be for VS2008 .NET v3.5?

Thanks and regards.
Apr 9, 2008 at 10:59 PM
InstallUtil.exe is in the 2.0 directory and not in the 3.5 directory.